Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser
Class OWLClassParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.stanford.smi.protegex.owl.model.classparser.OWLClassParseException

All Implemented Interfaces:
  Serializable

    public class OWLClassParseException

extends Exception

An Exception thrown by an OWLClassParser, providing additional information that can be used to guide user input.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`String` | `currentToken`
`boolean` | `nextCouldBeClass`
`boolean` | `nextCouldBeDatatypeName`
`boolean` | `nextCouldBeIndividual`
`boolean` | `nextCouldBeProperty`
`RDFProperty` | `recentHasValueProperty`

Constructor Summary
`OWLClassParseException(String message)`

Method Summary
`static OWLClassParseException` | `getRecentInstance()` Gets the most recently created exception of this type.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### currentToken

    public String currentToken

### nextCouldBeClass

    public boolean nextCouldBeClass

### nextCouldBeIndividual

    public boolean nextCouldBeIndividual

### nextCouldBeProperty

    public boolean nextCouldBeProperty

### nextCouldBeDatatypeName

    public boolean nextCouldBeDatatypeName

### recentHasValueProperty

    public RDFProperty recentHasValueProperty

Constructor Detail

### OWLClassParseException

    public OWLClassParseException(String message)

Method Detail

### getRecentInstance

    public static OWLClassParseException getRecentInstance()

  Gets the most recently created exception of this type. This can be used to guide input in text fields etc.

  Returns:
    the most recently created exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.